main {
    position: relative;
    margin: auto;
    max-width: 600px;
    /* overflow: hidden; */
}
.wrap_h1 {
    position: relative;
    top: 61px;
    left: -10px;
    width: 85%;
    max-width: 270px;
    background: #47474775;
    padding: 10px;
    /* transform: skew(10deg); */
}
h1 {
    font-size: 20px;
    margin: 0 auto 0 20px;
    font-weight: 100;
}
.wrap_h2 {
    position: sticky;
    top: 55px;
    width: 100%;
    margin: 0 0 8px;
    padding: 7px 0;
    border-top: 1px solid #9d9d9d;
    border-bottom: 1px solid #777777;
    background: #454545;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    box-shadow: 0px 4px 4px 0 #00000052;
    z-index: 2;
}
h2 {
    margin: 0;
    font-size: 22px;
    text-align: center;
    font-weight: 100;
}
.service-label {
    display: flex;
    align-items: end;
    justify-content: space-between;
    /* border-bottom: 1px dotted; */
}
.service-item:has(input:checked) {
    border: 1px solid white;
    border-left: none;
    border-right: none;
}

.service-item:has(input:checked) .name_service,
.service-item:has(input:checked) .cost,
.service-item:has(input:checked)
 {
    background: #5d5095;
}
.price {
    /* width: 100%; */
    margin: 0 auto 20px;
}

.price p {
    width: 90%;
    margin: auto;
    /* padding: 10px 0 0; */
}

.price li {
    margin: 10px 0;
}

.price a {
    color: #efddff;
    text-decoration: underline;
    text-underline-offset: 5px;
}

.wrap_video_main_page {
    width: 100%;
    max-width: 600px;
    position: fixed;
    z-index: 0;
}
#unmuteButton {
    position: absolute;
    right: 0;
    margin: -37px 5px 0 auto;
    background: blueviolet;
}
.wrap_content {
    width: 100%;
    /* margin-top: 65px; */
}
.main_description_content {
    position: relative;
    margin: 125% 0 40px auto;
    width: 75%;
    background: #00000069;
    box-shadow: -4px 4px #0000000a;
    backdrop-filter: blur(9px);
    -webkit-backdrop-filter: blur(9px);
}
.main_description_content p {
    margin: 0 0 0 auto;
    font-size: 14px;
    text-align: end;
    padding: 10px;
}

.main_description_nails {
    /* width: 100%; */
    background: #313131c9;
    margin: 0 auto 20px;
    padding: 0;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}
.main_description_nails p {
    font-size: 14px;
}
.service-item {
    margin: 10px 0;
    padding: 2px 0 4px 0;
    border-top: 1px solid #bbbbbb;
}
.name_service, .cost, .service-item, .checked_cost, .selected-services-preview, .checked_service {
    background: #5d5d5d;
}
.wrap_name_service {/* display: inline-flex; *//* align-items: baseline; *//* width: 77%; *//* overflow: hidden; */}
.name_service {
    display: inline;
    position: relative;
    /* box-decoration-break: clone; */
    width: 100%;
    font-size: 18px;
    z-index: 1;
}
/* Точки после последней буквы */
/* .name_service::after {
    content: " ................................................";
    color: #999;
    letter-spacing: 2px;
    font-size: 0.9em;
    text-shadow: none;
} */
.service-checkbox {
    display: inline;
    /* width: 20px; */
}
.wrap_cost {display: flex;align-items: baseline;justify-content: end;/* width: 23%; */min-width: 70px;/* background: #5d5d5d; */}
/* .dots_manic {
    flex-grow: 1;
} */

.dots_price {
    display: block;
    position: relative;
    z-index: 0;
    border-top: 1px dotted grey;
    width: 90%;
    margin: -5px 0 0 auto;
    height: 0;
}
.cost {
    position: relative;
    text-align: end;
    padding-right: 5px;
    z-index: 1;
}

/* .total-container {
    position: sticky;
    bottom: 0;
    background: #6653a14a;
    padding: 0 0 15px;
    border-top: 2px solid #333333;
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}
.total-container p {
    width: 90%;
    margin: auto;
    padding: 5px 0;
    font-size: 17px;
    font-weight: 100;
} */
#submit-order {
    display: block;
    width: 90%;
    margin: auto;
    padding: 5px;
    border-radius: 15px;
    border: 1px solid #4f4f4f;
    font-size: 15px;
    color: black;
    box-shadow: 0 0 10px #000000c7 inset;
}









/* ÐœÐ¾Ð´Ð°Ð»ÑŒÐ½Ð¾Ðµ Ð¾ÐºÐ½Ð¾ Ñ Ð¼Ð°ÑÑ‚ÐµÑ€Ð°Ð¼Ð¸ */
.modal-master {
    width: 100%;
    max-width: 600px;
    max-height: 100%;
    overflow-y: auto;
    border-radius: 0;
}

.selected-services-preview {
    /* background: rgb(0 143 85 / 25%); */
    /* border-radius: 10px; */
    padding: 3px 5px 3px 30px;
    margin: 0;
    text-align: left;
    font-size: 15px;
    /* line-height: 1.8; */
    /* max-height: 300px; */
    /* overflow-y: auto; */
}
.modal_text_selected_service {
    /* width: 100%; */
    margin: 5px;
}
.master-list {
    display: block;
    margin: auto;
    /* max-height: 400px; */
    /* overflow-y: auto; */
}

.master-card {
    background: rgb(95 95 95);
    /* border: 2px solid rgba(255,255,255,0.1); */
    /* border-radius: 12px; */
    padding: 10px 0;
    /* cursor: pointer; */
    /* transition: all 0.3s; */
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    /* gap: 5px; */
    margin: 8px 0;
    /* max-height: 600px; */
    /* overflow-y: auto; */
}
.master_header_block {
    display: flex;
    justify-content: left;
    align-items: center;
    width: 95%;
    margin: auto;
}
.wrap_master_avatar {

}
.master_avatar {width: 150px;}
.wrap_name_and_spec_master {
    /* display: block; */
    /* text-align: center; */
    text-align: left;
}
.master_name, .master_spec {
    /* width: 95%; */
    margin: 0 0 0 10px;
}
.master_name {
    font-size: 20px;
}
.master_spec {
    font-size: 14px;
    color: #e9e9e9;
}
.wrap_date_item {text-align: center;}
.date_item {max-height: 500px;overflow-y: auto;}
.modal-actions {
    display: flex;
    margin-top: 15px;
    justify-content: space-around;
}

.modal-btn-secondary {
    /* background: rgba(255,255,255,0.1); */
    /* border: 1px solid rgba(255,255,255,0.2); */
    padding: 7px;
    border-radius: 10px;
    cursor: pointer;
    font-size: 16px;
    width: 100px;
}

.modal-btn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}
/* .master-card.selected {
    background: #7878b9;
} */
.slots-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.slot-item {
    background: #5b459f;
    margin: 2px;
    padding: 0 4px;
    border-radius: 5px;
    border: 1px solid grey;
    cursor: pointer;
    font-size: 14px;
    color: white;
    text-shadow: 3px 3px 4px rgba(0, 0, 0, 0.2), 1px 0px 0px rgb(0, 0, 0), -1px 0px 0px rgb(0, 0, 0), 0px 1px 0px rgb(0, 0, 0);
}
.select-master-btn {
    cursor: pointer;
}
.selected-services-block {
    border-top: 2px solid #ffffff;
    border-bottom: 1px solid grey;
    /* margin: 10px 0; */
    background: #797979;
    position: sticky;
    bottom: 0;
    z-index: 2;
    box-shadow: 0px -1px 12px 1px #0000007d;
}
.h3_service {
    font-weight: 100;
    width: 97%;
    margin: auto;
}
#wrap_section_sticky_bottom__block {position: relative;padding-top: 55px;}
.date-group {
    background: #4b4b4b;
    margin: 5px 0;
    padding: 5px 0;
}
.date-title {
    /* width: 95%; */
    /* margin: 8px 0  0; */
}
/* .wrap_checked_service::before {
    position: absolute;
    content: '✔';
    color: #00ff00;
    margin: 3px 0 auto;
} */
.wrap_checked_service::marker {
    padding: 0;
    margin: 0;
    text-indent: 0;
}
.wrap_checked_service {
    /* display: flex; */
    /* justify-content: space-between; */
    /* align-items: end; */
    margin: 8px 0;
}
.wrap_flex_checked_service {
    display: flex;
    justify-content: space-between;
    align-items: end;
}
.flex_checked_service {
    display: inline;
    /* justify-content: space-between; */
    align-items: flex-start;
    margin-left: 0;
}
.checked_service {
    display: inline;
    position: relative;
    z-index: 1;
    line-height: 1;
}
.wrap_checked_cost {
    display: flex;
    justify-content: end;
    align-items: end;
    width: 70%;
    max-width: 98px;
    text-align: end;
}
.dots_checked_price {
    display: block;
    position: relative;
    z-index: 0;
    border-top: 1px dotted grey;
    width: 92%;
    margin: -4px 0 0 auto;
    height: 0;
}
.checked_cost {
    position: relative;
    text-align: end;
    z-index: 1;
    margin: 0;
    padding: 0 5px 0 0;
}

#search-container {
    display: flex;
    justify-content: left;
    align-items: stretch;
    position: sticky;
    width: 75%;
    top: 10px;
    z-index: 6;
    margin: auto auto 2px 10px;
}
.search-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    /* margin: auto; */
}
#serviceSearch {
    font-size: 17px;
    width: 100%;
    min-width: 120px;
    padding: 7px;
    margin-left: 5px;
}

.label_flex {}
.wrap_checkbox_service_label_cost {display: flex;justify-content: space-between;align-items: end;}
.wrap_checkbox_service_label {
    display: flex;
    align-items: baseline;
}
.total-container {

}
.selectedServicesPreview {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin: 0;
    padding: 5px 0;
    border-bottom: 1px solid #9d9d9d;
    border-top: 1px solid #575757;
}
.no-services {
    margin: 0;
}
.remove-service-btn {
    position: relative;
    z-index: 1;
    margin: 0;
    border-radius: 0;
}
#word_selectedService {margin-left: 10px;}
#totalCost {margin-right: 10px;}
#searchStats {
    align-content: center;
    min-width: 120px;
    background: #4f4f4f;
    text-align: center;
    padding: 7px 0;
    font-size: 17px;
}
.no-results-message {
    position: fixed;
    top: 60px;
    z-index: 10;
    background: #41005b;
    width: 100%;
    padding: 10px 0;
}
#clearSearch {
    align-items: center;
    border-radius: 0;
}
#wrapGoToBtns {
    display: flex;
    justify-content: center;
    align-items: center;
}
#goToStartPage, #goToSelectSpecialist {
    display: block;
    margin: 5px auto;
    padding: 5px 15px;
    font-size: 12px;
    border: 1px solid grey;
    box-shadow: 0 0 5px #00000073;
}
.masters-block h3 {
    text-align: center;
}